Subject: Re: linux-next: Tree for Oct 23

From: Mark Salyzyn <[email-masked]>
Date: Wed, 23 Oct 2019 08:46:09 -0700

On 10/22/19 11:05 PM, Shaokun Zhang wrote:
> +Cc: Mark Salyzyn
>
> There is a compiler failure on arm64 platform, as follow:
> zhangshaokun@ubuntu:~/linux-next$ make -j64
>    CALL    scripts/atomic/check-atomics.sh
>    CC      arch/arm64/kernel/asm-offsets.s
> In file included from ./include/linux/sysctl.h:30:0,
>                   from ./include/linux/umh.h:9,
>                   from ./include/linux/kmod.h:9,
>                   from ./include/linux/module.h:13,
>                   from ./include/linux/acpi.h:29,
>                   from ./include/acpi/apei.h:9,
>                   from ./include/acpi/ghes.h:5,
>                   from ./include/linux/arm_sdei.h:8,
>                   from arch/arm64/kernel/asm-offsets.c:10:
> ./include/uapi/linux/sysctl.h:561:29: error: expected ‘,’ or ‘}’ before ‘__attribute__’
>    NET_IPV6_TEMP_PREFERED_LFT __attribute__((deprecated)) = /* NOTYPO */
>                               ^
> scripts/Makefile.build:99: recipe for target 'arch/arm64/kernel/asm-offsets.s' failed
> make[1]: *** [arch/arm64/kernel/asm-offsets.s] Error 1
> Makefile:1108: recipe for target 'prepare0' failed
> make: *** [prepare0] Error 2
>
> It's the commit <79f0cf35dccb> ("treewide: cleanup: replace prefered with preferred").
Ack, will split up patch and resubmit, compiler differences make that 
part of the cleanup unworkable.
>
> Thanks,
> Shaokun
>
>
> On 2019/10/23 12:55, Stephen Rothwell wrote:
>> Hi all,
>>
>> Changes since 20191022:
>>
>> Non-merge commits (relative to Linus' tree): 5530
>>   5340 files changed, 192671 insertions(+), 90844 deletions(-)
>>
>> ----------------------------------------------------------------------------
>>
>> I have created today's linux-next tree at
>> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
>> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you
>> are tracking the linux-next tree using git, you should not use "git pull"
>> to do so as that will try to merge the new linux-next release with the
>> old one.  You should use "git fetch" and checkout or reset to the new
>> master.
>>
>> You can see which trees have been included by looking in the Next/Trees
>> file in the source.  There are also quilt-import.log and merge.log
>> files in the Next directory.  Between each merge, the tree was built
>> with a ppc64_defconfig for powerpc, an allmodconfig for x86_64, a
>> multi_v7_defconfig for arm and a native build of tools/perf. After
>> the final fixups (if any), I do an x86_64 modules_install followed by
>> builds for x86_64 allnoconfig, powerpc allnoconfig (32 and 64 bit),
>> ppc44x_defconfig, allyesconfig and pseries_le_defconfig and i386, sparc
>> and sparc64 defconfig. And finally, a simple boot test of the powerpc
>> pseries_le_defconfig kernel in qemu (with and without kvm enabled).
>>
>> Below is a summary of the state of the merge.
>>
>> I am currently merging 310 trees (counting Linus' and 78 trees of bug
>> fix patches pending for the current merge release).
>>
>> Stats about the size of the tree over time can be seen at
>> http://neuling.org/linux-next-size.html .
>>
>> Status of my local build tests will be at
>> http://kisskb.ellerman.id.au/linux-next .  If maintainers want to give
>> advice about cross compilers/configs that work, we are always open to add
>> more builds.
>>
>> Thanks to Randy Dunlap for doing many randconfig builds.  And to Paul
>> Gortmaker for triage and bug fixes.
>>